Subject: IPP Mark your Calendars for December 12

From: Carl-Uno Manros <[email-masked]>
Date: Mon, 11 Nov 1996 12:40:30 PST

Hi,

I have just got confirmation from Harald Alvestrand that we have the BOF slot.

Note his view that ASN.1 will be a hard sell (if we should choose to
recommend that).

---
Carl-Uno,

you've got your BOF scheduled for Thursday, 1300-1500.

Please drop any updates to the agenda to me, Keith
and [email-masked].

Note that the anti-ASN.1 people will probably be out in force!

               Harald
---

Below is a copy of the Proposed Agenda that I sent Harald before our meeting
in New Orleans. I expect that we want to update it in light of our recent
discussions. Let us discuss this in the phone conference on Wednesday.

--
The purpose of the meeting is to evaluate the need for an Internet
Lightweight version of the ISO/IEC Document Printing Application
(DPA) access protocol (ISO/IEC 10175:1996). A number of major printer 
vendors have announced products based on the DPA standard and it
would seem desirable to make at least a subset of this functionality 
available also for use over the Internet and intranets. Initial work 
on the subject has started in the Printer Working Group (PWG), a group 
of printer manufacturing companies. This group is previously known to 
the IETF as the main contributors to the RFC 1759 on the Printer MIB.

Proposed Agenda for the LDPA BOF in the IETF San Jose Meeting:

Introduction					        (10 mins)

History and Requirements				(30 mins)

	- What is wrong with RC 1179?
	- What are the current user and technology requirements?
	- What is the Document Printing Application (DPA)?

Presentation of the Lightweight DPA (LDPA) Draft	(30 mins)
	- Presentation of content
	- Work to date in the Printer Working Group (PWG)

Discussion and Resolution of Issues (if possible)	(30 mins)

	- What is the right level of "lightness" for LDPA?
	- Is there a need to coordinate with other IETF projects, e.g. Fax?
	- Do we need an RPC mechanism, such as RPC Protocol Spec V2 in RFC 1831?
	- What protocol marshalling mechanism(s) should be used? Should we
          use ASN.1/BER (e.g. LDAP), XDR, ASCII, or some other mechanism?
	- Security Requirements for LDPA?

Wrap-up					                 (10 mins)
	- Summary of discussion
        - List remaining issues to be resolved
        - Home work assignments
	- Make recommendation about further progress in IETF	
----
Carl-Uno

Carl-Uno Manros
Xerox Corporation
701 S. Aviation Blvd.
M/S: ESAE-231
El Segundo, CA 90245, USA
E-mail: [email-masked]